QGIS Application - Bug report #350
wfs: indexStrtree.h missing
2006-10-18 09:47 AM - neteler-itc-it -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: RedHat Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 10409
Description

Hi,

in SVN HEAD in src/providers/wfs/
the file indexStrtree.h is currently missing.
| copied it from GEOS and it strangely compiled :-)

Regards
Markus

History

#1 - 2006-10-21 10:42 PM - Marco Hugentobler

Hi Markus,

The file indexStrtree.h included by the WFS provider is the exactly the one from geos. If your compiler cannot find it, it is probably in an unusual place and
we should fix the build system to find it. Usually, it is in /usr/include/geos and geos.h in /usr/include. The build system assumes, that indexStrtree.h is in the
geos subdirectory under the directory where geos.h is located.

#2 - 2006-10-22 02:10 AM - neteler-itc-it -

Hi Marco,

for the other plugins that works. There

must be something missing in wfs/Makefile.am which is present

in the other plugin Makefile.am files.

In the old bugtracker | had reported similar things for the other

plugins which were fixes (once QGIS was still in CVS).
g++ -DHAVE_CONFIG_H -I. -I. -I../../.. -I../../core/ -I../../gui/ -1../../ui -l/usr/local/include -DQT3_SUPPORT -l/usr/lib64/qt4/mkspecs/default
-I/usr/lib64/qt4/include/Qt3Support -1/usr/lib64/qt4/include/QtCore -1/usr/lib64/qt4/include/QtDesigner -I/usr/lib64/qt4/include/QtGui
-l/usr/lib64/qt4/include/QtNetwork -1/usr/lib64/qt4/include/QtOpenGL -l/usr/lib64/qt4/include/QtSql -I/usr/lib64/qt4/include/QtXml
-I/usr/lib64/qgt4/include -I/usr/lib64/qt4/include/QtSvg -I/usr/lib64/qt4/include/QtTest -I/usr/lib64/qt4/include/QtDesigner -D_REENTRANT
-DQT_THREAD_SUPPORT -DNO_DEBUG -l/usr/local/include -l/usr/local/include/geos -g -O2 -MT libwfsprovider_la-qgswfsprovider.lo -MD -MP
-MF .deps/libwfsprovider_la-ggswfsprovider.Tpo -c qgswfsprovider.cpp -fPIC -DPIC -o .libs/libwfsprovider_la-qgswfsprovider.o
In file included from qgswfsprovider.cpp:21:
qggswfsprovider.h:25:26: indexStrtree.h: No such file or directory

configured as:
GEOS :yes (Version 2.2.1)

locate indexStrtree.h
/usr/include/geos/indexStrtree.h

I had GEOS in an unusual place but it seems to be picked from

the System wide installation (for ./autogen.sh there is no path
indication).

But | don't see /usr/include/[geos/] listed above, is that the problem?
Best,

Markus

#3 - 2006-10-23 01:46 AM - neteler-itc-it -

Hi,

when | manually add -l/usr/include/geos to above

g++ line, it compiles.

Markus

#4 - 2006-10-23 06:17 AM - Marco Hugentobler

Markus,

It seems to me that your build system assumes your geos is in /usr/local, but it is in /usr/lib. Does it change anything when you do ./autogen.sh
--with-geos=<path_to_geos-config> ... ?

And does your geos-config point to the right location?

Best,

Marco

#5 - 2006-10-23 09:32 AM - neteler-itc-it -

- Resolution set to invalid

- Status changed from Open to Closed

Hi Marco,

thanks -

--with-geos=/usr/bin/geos-config.sh

did the trick. Apparently | was expecting autogen.sh
to look into /usr/bin/ by default.

Solved & thanks,

Markus
